/* 
 * Copyright (c) 2011, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 */


/*
 *  ======== Global.h ========
 *
 */
#ifndef Global__include
#define Global__include

#if defined (__cplusplus)
extern "C" {
#endif


/* AppCfg object definition */
typedef struct App_Object_tag {
    Int tbd;
} App_Object;


/* shared configuration */
#define Global_RcmServerName            "Slave:RcmServer"
#define Global_RcmClientHeapId          0
#define Global_RcmClientHeapName        "RcmClientHeap"

/* device specific configuration */
#if defined (__OMAP3530__)
#define Global_Hello_idx                0x80000000
#define Global_ServerProcName           "DSP"
#define Global_ServerExecutable         "Server.x64P"
#define Global_HostProcName             "HOST"

#elif defined (__TMS320DM8148__)
#define Global_Hello_idx                0x80000000
#define Global_ServerProcName           "VIDEO-M3"
#define Global_ServerExecutable         "Server_video_syslink.xem3"
#define Global_HostProcName             "HOST"

#elif defined (__TMS320TI816X__)
#define Global_Hello_idx                0x80000000
#define Global_ServerProcName           "VIDEO-M3"
#define Global_ServerExecutable         "Server_video_syslink.xem3"
#define Global_HostProcName             "HOST"

#elif defined (__TMS320C6472__)
#define Global_Hello_idx                0x80000000
#define Global_ServerProcName           "CORE1"
#define Global_ServerExecutable         "Server_core1.xe64P"
#define Global_HostProcName             "CORE0"

#elif defined (__ARCTIC__)
#define Global_Hello_idx                0x80000000
#define Global_ServerProcName           "EVE"
#define Global_ServerExecutable         "Server.xet16"
#define Global_HostProcName             "DSP"

#endif


#if defined (__cplusplus)
}

#endif /* defined (__cplusplus) */
#endif /* Global__include */
/*
 *  @(#) ti.sdo.rcm.examples.hello; 1,0,0,1; 8-15-2011 11:14:56; /db/atree/library/trees/fc/fc-o26/src/ xlibrary

 */

