/* 
 * Copyright (c) 2011, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 */


/*
 *  ======== package.xdc ========
 *
 */


/*!
 *  ======== khronos.opencl ========
 *  OpenCL - Open Compute Language
 *
 *  The open standard for parallel programming of heterogeneous systems.
 *
 *  OpenCL(TM) is the first open, royalty-free standard for cross-platform,
 *  parallel programming of modern processors found in personal computers,
 *  servers and handheld/embedded devices. OpenCL (Open Computing Language)
 *  greatly improves speed and responsiveness for a wide spectrum of
 *  applications in numerous market categories from gaming and entertainment
 *  to scientific and medical software.
 *
 *  @a(See Also)
 *  @p(dlist)
 *  - {@link http://www.khronos.org/ Khronos Web Site}
 *  @p
 *
 */
package khronos.opencl [1,0,0] {
}
/*
 *  @(#) khronos.opencl; 1, 0, 0,1; 8-15-2011 11:10:29; /db/atree/library/trees/fc/fc-o26/src/ xlibrary

 */

