#
#  Copyright 2011 by Texas Instruments Incorporated.
#  
#

#
#  ======== products.mak ========
#


FC_INSTALL_DIR = $(CURDIR)

# List of supported devices (choose one): TI814X
#
DEVICE = TI814X

# Master core (GPP) OS type (choose one): Linux
#
GPPOS = Linux

# Optional: recommended to install all dependent components in one folder.
#
DEPOT = _your_depot_folder_

# Define the product variables for the device you will be using.
#
ifeq ("$(DEVICE)","TI814X")
IPC_INSTALL_DIR         = $(DEPOT)/ipc_1_23_01_26
SYSLINK_INSTALL_DIR     = $(DEPOT)/syslink_2_00_00_78
OSAL_INSTALL_DIR        = $(DEPOT)/osal_1_21_01_08
XDAIS_INSTALL_DIR       = $(DEPOT)/xdais_7_21_00_02
CMEM_INSTALL_DIR        = $(DEPOT)/linuxutils_3_21_00_04
EDMA3_LLD_INSTALL_DIR   = $(DEPOT)/edma3_lld_02_11_02_04

CGTOOLS_V5T := /db/toolsrc/library/tools/vendors/cs/arm/arm-2007q3
CC_V5T          = bin/arm-none-linux-gnueabi-gcc
AR_V5T          = arm-none-linux-gnueabi/bin/ar

else ifneq ($(MAKECMDGOALS), clean)
    ifneq ($(MAKECMDGOALS), .show-products)
    $(error DEVICE is set to "$(DEVICE)", which is invalid. Set this in <SysLink Install>/products.mak. Refer to the SysLink Install Guide for more information)
    endif
endif

# Use this goal to print your product variables.
.show-products:
#	@echo "DEPOT                    = $(DEPOT)"
	@echo "DEVICE                   = $(DEVICE)"
	@echo "GPPOS                    = $(GPPOS)"
	@echo "SYSLINK_INSTALL_DIR      = $(SYSLINK_INSTALL_DIR)"
	@echo "CMEM_INSTALL_DIR         = $(CMEM_INSTALL_DIR)"
	@echo "XDAIS_INSTALL_DIR        = $(XDAIS_INSTALL_DIR)"
	@echo "IPC_INSTALL_DIR          = $(IPC_INSTALL_DIR)"
	@echo "FC_INSTALL_DIR           = $(FC_INSTALL_DIR)"
	@echo "EDMA3_LLD_INSTALL_DIR    = $(EDMA3_LLD_INSTALL_DIR)"
	@echo "OSAL_INSTALL_DIR         = $(OSAL_INSTALL_DIR)"
	@echo "CGTOOLS_V5T              = $(CGTOOLS_V5T)"
	@echo "CC_V5T                   = $(CC_V5T)"
	@echo "AR_V5T                   = $(AR_V5T)"
#
#  @(#) framework_components_3_21_01_26; 1, 0, 0,1; 8-15-2011 11:30:24; /db/atree/library/trees/fc/fc-o26/src/ xlibrary

#

